From: Sam Ravnborg <sam@ravnborg.org>
To: Al Viro <viro@ZenIV.linux.org.uk>
Cc: Timur Tabi <timur@freescale.com>,
Tony Breeds <tony@bakeyournoodle.com>,
linux-kernel@vger.kernel.org
Subject: Re: cross-compiling on OS X, make menuconfig fails
Date: Tue, 29 Apr 2008 20:06:01 +0200 [thread overview]
Message-ID: <20080429180601.GA19652@uranus.ravnborg.org> (raw)
In-Reply-To: <20080429172057.GN5882@ZenIV.linux.org.uk>
>
> Good grief, folks...
Thanks Al.
I've queued up the following patch.
Sam
commit c99cc32e0d92f5fdbdd39a7f42cfff869062fff5
Author: Sam Ravnborg <sam@uranus.ravnborg.org>
Date: Tue Apr 29 20:02:44 2008 +0200
kconfig: made check-lxdialog more portable
OS-X shell did not like 'echo -e' so implement
suggestion from Al Viro to use a more portable construct.
Signed-off-by: Sam Ravnborg <sam@ravnborg.org>
Cc: Al Viro <viro@ZenIV.linux.org.uk>
diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh
index 62e1e02..5552154 100644
--- a/scripts/kconfig/lxdialog/check-lxdialog.sh
+++ b/scripts/kconfig/lxdialog/check-lxdialog.sh
@@ -36,8 +36,10 @@ trap "rm -f $tmp" 0 1 2 3 15
# Check if we can link to ncurses
check() {
- echo -e " #include CURSES_LOC \n main() {}" |
- $cc -xc - -o $tmp 2> /dev/null
+ $cc -xc - -o $tmp 2>/dev/null <<'EOF'
+#include CURSES_LOC
+main() {}
+EOF
if [ $? != 0 ]; then
echo " *** Unable to find the ncurses libraries or the" 1>&2
echo " *** required header files." 1>&2
next prev parent reply other threads:[~2008-04-29 18:06 UTC|newest]
Thread overview: 25+ messages / expand[flat|nested] mbox.gz Atom feed top
2008-04-28 1:34 cross-compiling on OS X, make menuconfig fails timur
2008-04-28 1:51 ` Tony Breeds
2008-04-29 15:07 ` Timur Tabi
2008-04-29 16:45 ` Sam Ravnborg
2008-04-29 17:20 ` Al Viro
2008-04-29 18:06 ` Sam Ravnborg [this message]
2008-04-30 13:54 ` Timur Tabi
2008-04-30 14:18 ` Sam Ravnborg
2008-05-03 6:55 ` SL Baur
2008-05-03 8:01 ` Sam Ravnborg
2008-05-03 8:40 ` Roland Kuhn
2008-05-03 9:34 ` SL Baur
2008-05-12 13:22 ` Arnd Hannemann
2008-04-28 18:46 ` Roland Kuhn
2008-04-29 14:51 ` Timur Tabi
2008-04-29 16:45 ` Sam Ravnborg
2008-04-29 16:48 ` Al Viro
2008-04-29 20:27 ` Why use /bin/sh in kernel build system? Mark Rustad
2008-04-29 21:41 ` Alexey Dobriyan
2008-04-29 22:24 ` Willy Tarreau
2008-04-29 22:40 ` Timur Tabi
2008-04-30 9:42 ` SL Baur
2008-04-30 11:48 ` Jan Engelhardt
2008-04-29 22:46 ` cross-compiling on OS X, make menuconfig fails Bernd Petrovitsch
-- strict thread matches above, loose matches on Subject: below --
2008-04-28 1:34 Timur Tabi
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20080429180601.GA19652@uranus.ravnborg.org \
--to=sam@ravnborg.org \
--cc=linux-kernel@vger.kernel.org \
--cc=timur@freescale.com \
--cc=tony@bakeyournoodle.com \
--cc=viro@ZenIV.linux.org.uk \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox